could you please give me a sub or fun

Discussion in 'AutoCAD' started by youngman, Jun 25, 2004.

  1. youngman

    youngman Guest

    hi,

    could you please give me a sub or fun,to draw an arc ,with 2 points and the
    r of the arc.

    thank you
    regards
     
    youngman, Jun 25, 2004
    #1
  2. youngman

    Joe Sutphin Guest

    Here ya are ... watch out for word-wrapping.

    Joe
    --
    Public Sub DrawArc()
    Dim oAcadArc As AcadArc
    Dim Center(0 To 2) As Double
    Dim Radius As Double
    Dim StartAngle As Double
    Dim EndAngle As Double

    Center(0) = 0
    Center(1) = 0
    Center(2) = 0
    Radius = 2
    StartAngle = 0
    EndAngle = ThisDrawing.Utility.AngleToReal("90", acDegrees)

    Set oAcadArc = ThisDrawing.ModelSpace.AddArc(Center, Radius, StartAngle,
    EndAngle)
    End Sub
     
    Joe Sutphin, Jun 25, 2004
    #2
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.